查询产品仓位列表
POST
/basicOpen/warehouseConfig/warehouseBin/getEntryRecommendBinList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/warehouseConfig/warehouseBin/getEntryRecommendBinList | HTTPS | POST | 1 |
请求参数
listarray<object>必填隐藏子属性
widstring必填productIdstring必填fnskustring必填sidstringwithHistoryboolean请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/warehouseConfig/warehouseBin/getEntryRecommendBinList?access_token=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"list": [
{
"wid": "1",
"productId": 39258,
"fnsku": "",
"sid": 103
},
{
"wid": "1",
"productId": 31386,
"fnsku": "",
"sid": 103
}
],
"withHistory": false
}'
返回结果 ##
Json Object
codestringmessagestring必填errorDetailsstring必填requestIdstring必填dataobject必填隐藏子属性
fnskustring必填productIdstring必填widstring必填sidstring必填validStorageArrarray<object>必填隐藏子属性
productNumstring必填whbIdstring必填whbTypestring必填whbTypeNamestring必填whbCodestring必填whbCodeNamestring必填namestring必填valuestring必填invalidStorageArrarray<object>必填隐藏子属性
productNumstring必填whbIdstring必填whbTypestring必填whbTypeNamestring必填whbCodestring必填whbCodeNamestring必填namestring必填valuestring必填totalstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "5545f7272e03483caeff02cd4cb9c592.1757574480275",
"response_time": "2025-09-11 15:08:07",
"data": [
{
"fnsku": "",
"product_id": 39258,
"wid": 1,
"sid": "103",
"valid_storage_arr": [
{
"product_num": 0,
"whb_id": 2,
"whb_type": 2,
"whb_type_name": "可用暂存",
"whb_code": "ts_valid",
"whb_code_name": "可用暂存",
"name": "ts_valid",
"value": "可用暂存"
}
],
"invalid_storage_arr": []
},
{
"fnsku": "",
"product_id": 31386,
"wid": 1,
"sid": "103",
"valid_storage_arr": [
{
"product_num": 69,
"whb_id": 2,
"whb_type": 2,
"whb_type_name": "可用暂存",
"whb_code": "ts_valid",
"whb_code_name": "可用暂存",
"name": "ts_valid",
"value": "可用暂存"
}
],
"invalid_storage_arr": [
{
"product_num": 12,
"whb_id": 3,
"whb_type": 3,
"whb_type_name": "次品暂存",
"whb_code": "ts_bad",
"whb_code_name": "次品暂存",
"name": "ts_bad",
"value": "次品暂存"
}
]
}
],
"total": 2
}